Subject: RE: [Disman] changes to ping MIB conformance material

From: "Chapman, Ken" <[email-masked]>
Date: Wed, 6 Oct 2004 07:55:38 -0400

RFC 2578 ("Structure of Management Information Version 2 (SMIv2)"),
section 10, 4th paragraph says:
"  Also note that obsolete definitions must not be removed from MIB
   modules since their descriptors may still be referenced by other
   information modules, and the OBJECT IDENTIFIERs used to name them
   must never be re-assigned."

	Ken

> -----Original Message-----
> From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> Sent: Wednesday, October 06, 2004 6:57 AM
> To: [email-masked]; Randy Presuhn
> Cc: Disman (E-mail)
> Subject: RE: [Disman] changes to ping MIB conformance material
> 
> > On Tue, Oct 05, 2004 at 05:58:35PM -0700, Randy Presuhn wrote:
> >
> > > Merging in another implementation report on the DISMAN-PING-MIB
> > > module has left me wondering whether it was a good idea to remove
> > > the pingCompliance and pingGroup OBJECT-GROUP.  I find that I
> > > have to go back to RFC 2925 to make sense of implementation
reports,
> > > and that when someone says they implement the pingGroup, that
> > > has no meaning in terms of the current i-d.  This doesn't
> > seem right.
> >
> > FWIW, smidiff flags the removal as serious errors:
> >
> > DISMAN-PING-MIB:1118 [1] group `pingGroup' has been deleted
> > DISMAN-PING-MIB:1163 [1] group `pingTimeStampGroup' has been deleted
> > DISMAN-PING-MIB:1017 [1] compliance `pingCompliance' has been
deleted
> >
> > You can deprecate or obsolete things, but not remove things since
other
> > definitions might depend on things (e.g. agent capability
statements).
> >
> 
> Exactly. When advancing from PS to DS (or recycling at PS), it is
allowed
> to "remove" things. But for our MIB modules, that "remove" should
indeed
> be translated into "deprecate" or "obsolete".
> 
> The old compliance statement(s) should also be deprecated/obsoleted
and
> new ones should be defined that no longer have the
depreacted/obsoleted
> groups present.
> 
> Bert
> > /js
> >
> > --
> > Juergen Schoenwaelder		    International University
Bremen
> > <http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561,
> > 28725 Bremen, Germany
> >